升級Rubygems到0.9.2時,不論是安裝gem包還是升級gem包
都會產生一個Error:

ERROR:  While executing gem ... (NoMethodError)
    undefined method `refresh' for #<Hash:0xb799a478>

這個時候該怎麼辦呢?
根據這篇文章所寫:http://www.cnzxh.net/blog/Index.php?do=readArticle&articleId=145
我們可以做這個動作:

rm -f /usr/local/lib/ruby/gems/1.8/source_cache

經過測試後.. 真的就正常了..
所以如果你有出同樣問題 請照做吧:P
( 我想這問題只會發生在*nix系統上 )
創作者介紹

卐只有兩面的盒子卍

hechian 發表在 痞客邦 PIXNET 留言(0) 人氣()